package com.mcwl.memberCenter.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会员状态枚举
 */
@Getter
@AllArgsConstructor
public enum MemberEnum {
    MEMBER_CENTER_ACTIVE("active", "活跃"),
    MEMBER_CENTER_INACTIVE("inactive", "非活跃"),
    MEMBER_CENTER_PENDING("pending", "待支付"),
    MEMBER_CENTER_EXPIRED("expired", "过期");

    private final String name;

    @EnumValue
    private final String value;
}
